package com.bs.ct.vo;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.bs.common.annotation.Excel;
import com.bs.common.core.domain.BaseEntity;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

import java.util.Date;
import java.util.List;

/**
 * 任务模板对象 ct_task_template
 *
 * @author bs
 * @date 2025-02-22
 */
@Data
public class CtTaskTemplateVO extends BaseEntity{

    /** 模板名称 */

    @Excel(name = "模板名称")
    @ApiModelProperty(value = "模板名称")
    private String templateName;

    /** 任务类型 */

    @Excel(name = "任务类型",dictType = "task_type")
    @ApiModelProperty(value = "任务类型")
    private String taskType;

    /** 任务要求 */

    @Excel(name = "任务要求")
    @ApiModelProperty(value = "任务要求")
    private String taskContent;

    /** 任务标题 */

    @Excel(name = "任务标题")
    @ApiModelProperty(value = "任务标题")
    private String taskTitle;

    /** 任务标签 */

    @Excel(name = "任务标签")
    @ApiModelProperty(value = "任务标签")
    @TableField(exist = false)
    private String tagNames;

    /** 创建单位 */

    @Excel(name = "创建单位")
    @ApiModelProperty(value = "创建单位")
    @TableField(exist = false)
    private String createByBranch;

    /** 创建部门 */

    @Excel(name = "创建部门")
    @ApiModelProperty(value = "创建部门")
    @TableField(exist = false)
    private String createByDeptName;


    /** 创建人 */

    @Excel(name = "创建人")
    @ApiModelProperty(value = "创建人")
    @TableField(exist = false)
    private String createByUserName;


    @Excel(name = "创建时间")
    @ApiModelProperty(value = "创建时间")
    @TableField(exist = false)
    private String createTimeVo;


}

